webdevqa.jp.net

病原体はプラグインをロードしません

病原体は私には効きません。私は投稿されたアダム・ロウのヒントをフォローしています こちら (そしてそれ以上).

私のvimrc:

filetype off
call pathogen#runtime_append_all_bundles()

filetype plugin indent on
set nocompatible
syntax on
set tabstop=2
set smarttab
set shiftwidth=2
set autoindent
set expandtab
set number
colorscheme darkblue

.vimの内容-ls .vim/*

.vim/autoload:
pathogen.vim

.vim/bundle:
nerdcommenter/  vim-haml/   vim-surround/
vim-endwise/    vim-Rails/  vim-vividchalk/

バンドル内のすべてのプラグインは、GitHubからバンドルディレクトリに複製することでインストールされました。

病原体1.1および1.2で試してみましたが、GitHubからの最新のものでさえ、結果はありませんでした。 Vividchalk、Vim-Rails、nerdcommenterは動作していません。私は他のプラグの経験がほとんどないので、それらについてはわかりませんが、それらも機能していないと思います。

私はArchLinux、vim 7.2.385-1を使用しています(最新版ではRuby1.9をインストールする必要があるため最新版ではありませんが、まだ7.2です)。 pacman-ArchLinuxパッケージマネージャー経由でインストールされています。病原体を使用する以外の方法でvimプラグインはインストールされませんでした(クリーニングを使用してvimパッケージを再インストールしました/usr/share/vim)。

私は何を間違えていますか?

編集:

50
skalee

これは、一部のディストリビューション設定で「システム」vimrcが原因の一般的な問題のようですfiletype on病原体をセットアップする前。そのため、プラグインをオフにしてから再びオンにすると、プラグインが正しく読み込まれます。

 call pathogen#runtime_append_all_bundles()
 filetype off
 syntax on
 filetype plugin indent on

詳細 こちら

31
Dave Ray

私は同様の問題を抱えていました。病原体はプラグインの一部をロードしていましたが、すべてではありませんでした。いじくり回して不思議に思った後、各bundle/'plugin_name'フォルダには、*。vimファイルを含むpluginという別のフォルダが必要です。

次に、vimが起動すると、バンドルではなく、プラグインと呼ばれるフォルダーを含むバンドル内のフォルダーに表示され、(各プラグインフォルダーに)他のフォルダーが作成されます。

そのため、プラグインが単なる.vimファイルの場合、そのためのフォルダーを作成します...

の代わりに:

~/.vim/bundle/vimexplorer/vimExplorer.vim

必要なもの:

~/.vim/bundle/vimexplorer/plugin/vimExplorer.vim

そして、すべてが魅力のように機能します。

24
fioghual

特定のプラグイン、特にpluginサブディレクトリを持つプラグインの読み込みに問題があります。たとえば、MacVimの新規インストールでは、~/.vim/bundle/surround/plugin/surround.vimの出力に~/.vim/bundle/surroundが表示されていても、:scriptnamesのプラグインはロードされていませんでした。

問題は、.gvimrcではなく.vimrcにPathogenをロードしていたことです。何らかの理由で、.vim/bundle/*/pluginサブディレクトリにあるものは、それを行うとロードされないので、.vimrcに入れてください。

私は 問題を開いた githubで— .gvimrcからロードしても動作するようにできるかどうかわかりませんが、少なくとも何らかの警告があるはずです私のような馬鹿のためのドキュメント。

14
aanand

.vimがgitリポジトリとサブモジュールに基づいている場合は、git submodule initおよびgit submodule updateリポジトリを複製した後。つまり.

git submodule init
git submodule update

同じエラーが発生し、上記のすべてを試してみましたが、うまくいきませんでした。 gitサブモジュールを初期化および更新するまで。

これが同様のエラーがある人に役立つことを願っています。

11
jhtong

たぶんArchのデフォルトのvimrc(おそらく/etc/vim/vimrc)はPathogenとうまく機能しません。設定ファイルをロードせずにVimを起動してみてください:

vim -u NONE

そして、vim内からvimrcをロードします。

:so ~/.vimrc

プラグインはその後動作しますか?

6

Github経由で問題を提起した後(mattn&tpope)が修正

set nocp
call pathogen#infect()
syntax on
filetype plugin indent on
call pathogen#infect()

https://github.com/tpope/vim-pathogen/issues/50#issuecomment-3137909 を参照してください

5
FigmentEngine

私の環境はVim 7.3.35とUbuntu 11.04です。

私はそれを解決しようといくつかの時間を費やしました。プロジェクトを複製します https://github.com:r00k/dotfiles の指示に従ってインストールします。

開始するとviがコメントされました

E117:不明な関数:pathogen#runtime_append_all_bundles

そして解決策:

ファイルタイプオフ

pathogen#runtime_append_all_bundles()を呼び出します

ファイルタイプオン

動作しませんでした。

適切に設定されていないホームディレクトリに。vimシンボリックリンクが見つかりました。インストールスクリプトは、シンボリックリンクvimを含むディレクトリ。vimを作成しましたmy。dotfiles/vimを指します。解決策は、。vimディレクトリを削除し、シンボリックリンク。vimポインティング。dotfiles/vim.

また、my。vimrcでファイルタイプをオフ/オンに保ちました。

3
Fernando Campos

call pathogen#runtime_append_all_bundles()の代わりに、call pathogen#infect('~/.vim/bundle')を使用しました。

2
Prateek

コマンドを使用してランタイムパスを確認してみてください::set runtimepath?最初のエントリは〜/ .vimのようなものでなければなりません。

プラグイン/病原体をロードしないことに関する私の問題は、vimrcとその他のもの(プラグインなど)が存在する〜/ .dotfiles/vimにvim環境を配置したことです。 〜/ .vimrcの〜/ .dotfiles/vim/vimrcへのシンボリックリンクを作成した後、2番目のシンボリックリンク〜/ .vimを作成するのを忘れました->〜/ .dotfiles/vim//.vim(デフォルト)。適切なシンボリックリンクを作成した後、すべてが正しい場所にポップされました。

私がやったように2番目のシンボリックリンクを忘れた人の助けになることを願っています;-)

2
Sabr
filetype off                                                                
call pathogen#runtime_append_all_bundles()
call pathogen#helptags()
2
gregf
set nocp
call pathogen#infect()
syntax on
filetype plugin indent on
call pathogen#infect()

上記は私が問題を解決するのに役立ちましたが、他の人々にコメントを残すことはできませんが、上記のコードを投稿していただきありがとうございます。

1
Richard Laing

Ubuntuでも同じ問題が発生していました。ログは:

linha 4: executando "/usr/share/vim/vim73/ftoff.vim"
Erro detectado ao processar /usr/share/vim/vim73/ftoff.vim:
linha   11:
E216: Grupo ou evento inexistente: filetypedetect *
fim da execução de /usr/share/vim/vim73/ftoff.vim

解決策は、ファイル/usr/share/vim/vim73/ftoff.vimの最後に「\ n」を追加して適切に実行することでした。

1
adelarsq

同じ問題がありました。あらゆる組み合わせを試しました。

最後に、mksessionを使用してVimワークスペースを保存し、Vimの起動時にロードすると、pathogenがバンドルフォルダーに配置した新しいプラグインをロードしないことがわかりました。

新しいプラグインをインストールした後、常にセッションファイルを削除し、Vimを新しく起動すると、すべてのプラグインが正常にロードされます。

filetype off
set nocompatible
set laststatus=2
execute pathogen#infect()
syntax on
filetype plugin indent on
0
hugo24

私はそれを次のように持っています:

サイレント! pathogen#runtime_append_all_bundles()を呼び出します

0
Abizern

私の場合、フォルダ〜/ dotfilesにクローンを作成しましたが、vunはフォルダ〜/ .vimを探します。その結果、この問題を解決するためのプラグインや配色はありませんでした。

ln -s ~/.dotfiles ~/.vim
0
SergioAraujo

Nerd-commenter/pathogenでこの問題を解決しようとして長すぎる時間を費やした後、故障して、DebianのOSが提供するnerd-commenterプラグインを使用しました。

vim-addons install nerd-commenter

Debianで作業を再開する必要がある場合は、試してください。まだ持っていない場合は、おそらく「vim-addon-manager」および「vim-scripts」パッケージをaptからインストールする必要があります。

0
Andrew Wagner

私は同じ問題に直面していました、最終的に多くのグーグルとvimrcファイルを微調整した後、解決策を見つけました。次のコードスニペットが問題を解決することを願っています。

set nocp source /home/ameet/.vim/autoload/pathogen.vim "location of my pathogen.vim call pathogen#infect() call pathogen#helptags()

0
Ameet

私は同じ問題を抱えていました、このファイルを〜/ .vim/autoloadにコピーすることで解決しました: https://github.com/sontek/dotfiles/blob/master/_vim/autoload/pathogen.vim

0
DEopen

完了のために、この問題の解決策を追加します。

〜/ .gvimrcファイルの名前を〜/ .vimrcに変更しただけで、問題はすべて解決しました。私は.vimと.gvimrcをLinuxから文字通りコピーし、この変更を行いましたが、すべてが期待どおりに機能します。